Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	MIT Kerberos V Implementation
Name:		krb5
Version:	1.7
Release:	1
Group:		System/Libraries
License:	GPL
URL:		NONE
# tar.gz taken from the signed tar archive
Source0:	%{name}-%{version}.tar.gz
Source1:	kdc.conf
Source2:	krb5.conf
Source3:	mit-krb5kadmind.initd
Source4:	mit-krb5kdc.initd
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	tcl-devel

#Automatically resolved build dependencies
BuildRequires: e2fsprogs-devel
BuildRequires: glibc-devel
BuildRequires: ncurses-devel

%description
MIT Kerberos V Implementation

%package devel
Summary: 	krb5 development headers.
Group:     	System/Libraries
Requires: 	krb5 = %{version}-%{release}

%description devel
Header and include files for developing applications with krb5.

%prep
%setup -n %name-%version

%build
cd src
./configure --with-krb4 --enable-krb4 --enable-shared --disable-static --mandir=%_mandir \
     --localstatedir=%_localstatedir --prefix=%_prefix --enable-dns --build=i686-pc-linux-gnu \
     --with-system-et
make CPPFLAGS=-I/usr/include/et

%install
rm -rf $RPM_BUILD_ROOT
cd src
make DESTDIR=${RPM_BUILD_ROOT} install
D=${RPM_BUILD_ROOT}
for i in {telnetd,ftpd}
do
	mv ${D}/usr/share/man/man8/${i}.8 ${D}/usr/share/man/man8/k${i}.8
	mv ${D}/usr/sbin/${i} ${D}/usr/sbin/k${i}
done
for i in {rcp,rsh,telnet,ftp,rlogin}
do
	mv ${D}/usr/share/man/man1/${i}.1 ${D}/usr/share/man/man1/k${i}.1
	mv ${D}/usr/bin/${i} ${D}/usr/bin/k${i}
done
mkdir -p ${RPM_BUILD_ROOT}/etc
install -m 644 %{_sourcedir}/krb5.conf ${RPM_BUILD_ROOT}/etc/krb5.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/krb5kdc
install -m 644 %{_sourcedir}/kdc.conf ${RPM_BUILD_ROOT}/etc/krb5kdc/kdc.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
install -m 755 %{_sourcedir}/mit-krb5kadmind.initd ${RPM_BUILD_ROOT}/etc/rc.d/init.d/mit-krb5kadmind
install -m 755 %{_sourcedir}/mit-krb5kdc.initd ${RPM_BUILD_ROOT}/etc/rc.d/init.d/mit-krb5kdc
find ${RPM_BUILD_ROOT}/usr/share/man -type f -exec gzip -9 \{\} \;
#Stripping debug Symbols
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/*.html
/usr/share/man/man8/kadmin.local.8.gz
/usr/share/man/man8/kdb5_util.8.gz
/usr/share/man/man8/kadmind.8.gz
/usr/share/man/man8/kprop.8.gz
/usr/share/man/man8/kpropd.8.gz
/usr/share/man/man8/kshd.8.gz
/usr/share/man/man8/klogind.8.gz
/usr/share/man/man8/login.krb5.8.gz
/usr/share/man/man8/kftpd.8.gz
/usr/share/man/man8/ktelnetd.8.gz
/usr/share/man/man8/krb5kdc.8.gz
/usr/share/man/man8/sserver.8.gz
/usr/share/man/man1/klist.1.gz
/usr/share/man/man1/kinit.1.gz
/usr/share/man/man1/kdestroy.1.gz
/usr/share/man/man1/kpasswd.1.gz
/usr/share/man/man1/ksu.1.gz
/usr/share/man/man1/kvno.1.gz
/usr/share/man/man1/sclient.1.gz
/usr/share/man/man1/kftp.1.gz
/usr/share/man/man1/krsh.1.gz
/usr/share/man/man1/krlogin.1.gz
/usr/share/man/man1/tmac.doc.gz
/usr/share/man/man1/kerberos.1.gz
/usr/share/man/man1/krcp.1.gz
/usr/share/man/man1/ktelnet.1.gz
/usr/share/man/man1/krb5-send-pr.1.gz
/usr/share/man/man1/krb5-config.1.gz
/usr/share/man/man1/k5srvutil.1.gz
/usr/share/man/man1/kadmin.1.gz
/usr/share/man/man1/ktutil.1.gz
/usr/share/man/man8/kproplog.8.gz
/usr/share/man/man5/.k5login.5.gz
/usr/share/man/man5/kdc.conf.5.gz
/usr/share/man/man5/krb5.conf.5.gz
%_datadir/examples
/usr/share/gnats/mit
/usr/sbin/krb5-send-pr
/usr/sbin/krb5kdc
/usr/sbin/kadmin.local
/usr/sbin/kdb5_util
/usr/sbin/kadmind
/usr/sbin/kprop
/usr/sbin/kpropd
/usr/sbin/sserver
/usr/sbin/sim_server
/usr/sbin/uuserver
/usr/sbin/kshd
/usr/sbin/klogind
/usr/sbin/login.krb5
/usr/sbin/gss-server
/usr/sbin/kftpd
/usr/sbin/ktelnetd
/usr/sbin/kproplog
/usr/bin/k5srvutil
/usr/bin/kadmin
/usr/bin/ktutil
/usr/bin/klist
/usr/bin/kinit
/usr/bin/kdestroy
/usr/bin/kpasswd
/usr/bin/ksu
/usr/bin/kvno
/usr/bin/sclient
/usr/bin/sim_client
/usr/bin/uuclient
/usr/bin/kftp
/usr/bin/krsh
/usr/bin/gss-client
/usr/bin/krlogin
/usr/bin/krb5-config
/usr/bin/krcp
/usr/bin/ktelnet
/usr/lib/libkdb5.so.4.0
/usr/lib/libgssapi_krb5.so.2.2
/usr/lib/libk5crypto.so
/usr/lib/libk5crypto.so.3
/usr/lib/libkrb5.so
/usr/lib/libkrb5.so.3
/usr/lib/libkdb5.so
/usr/lib/libkdb5.so.4
/usr/lib/libgssapi_krb5.so
/usr/lib/libgssapi_krb5.so.2
/usr/lib/libgssrpc.so
/usr/lib/libkadm5clnt.so
/usr/lib/libkadm5srv.so
/usr/lib/libkrb5support.so
/usr/lib/libkrb5support.so.0
/usr/lib/krb5/plugins/kdb/db2.so
/usr/lib/libk5crypto.so.3.1
/usr/lib/libkrb5.so.3.3
/usr/lib/libkrb5support.so.0.1
/usr/lib/krb5/plugins/preauth/encrypted_challenge.so
/usr/lib/krb5/plugins/preauth/pkinit.so
/usr/lib/libgssrpc.so.4
/usr/lib/libgssrpc.so.4.1
/usr/lib/libkadm5clnt.so.6
/usr/lib/libkadm5clnt.so.6.0
/usr/lib/libkadm5srv.so.6
/usr/lib/libkadm5srv.so.6.0

/etc/krb5.conf
/etc/krb5kdc/kdc.conf
/etc/rc.d/init.d/mit-krb5kadmind
/etc/rc.d/init.d/mit-krb5kdc

%files devel
%defattr(-,root,root)
%_includedir/gssapi
%_includedir/gssrpc
%_includedir/kadm5
%_includedir/kdb.h
%_includedir/krb5.h
%_includedir/profile.h
%_includedir/gssapi.h
%_includedir/krb5/krb5.h
%_includedir/krb5/locate_plugin.h

%changelog
* Mon Jun 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7-1
- Version Update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version Update
* Wed Mar 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- Version Update
* Thu May 19 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.6-3
- Use existing e2fsprogs libs
* Wed May 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.6-2
- Tweaked Spec File, added new Summary, URL, changelog, splitted devel Package
* Thu Mar 07 2005 Stefan Gottwald <sg3881@web.de> 1.3.6-1
- Initial Build
